#include "Framebuffer.h"
#include "Init.h"
#include "arch/Serial.h"

extern "C" void _start()
{
    Init::check_magic();
    Init::early_init();

    Serial::println("Hello, world!");

    Framebuffer::rect(0, 0, 200, 200, 0xFF00FF00);

    for (;;)
        ;
}